RDKit: RDKit::KeyFromPropHolder Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::KeyFromPropHolder Class Reference

`#include <SubstructLibrary.h>`

Inheritance diagram for RDKit::KeyFromPropHolder:

## Public Member Functions
| KeyFromPropHolder (const std::string &propname="_Name")
std::string & | getPropName ()
const std::string & | getPropName () const
std::vector< std::string > & | getKeys ()
const std::vector< std::string > & | getKeys () const
unsigned int | addMol (const ROMol &m) override
| Add a key to the database getting it from the molecule.
unsigned int | addKey (const std::string &key) override
const std::string & | getKey (unsigned int idx) const override
std::vector< std::string > | getKeys (const std::vector< unsigned int > &indices) const override
unsigned int | size () const override
| Get the current keeyholder size.
Public Member Functions inherited from RDKit::KeyHolderBase
virtual | ~KeyHolderBase ()

## Detailed Description

Definition at line 373 of file SubstructLibrary.h.

## Constructor & Destructor Documentation

## ◆ KeyFromPropHolder()

RDKit::KeyFromPropHolder::KeyFromPropHolder | ( | const std::string & | propname = "_Name" | ) |
| inline

Definition at line 379 of file SubstructLibrary.h.

## Member Function Documentation

## ◆ addKey()

unsigned int RDKit::KeyFromPropHolder::addKey | ( | const std::string & |  | ) |
| inlineoverridevirtual

Add a key to the database, this needs to be in the same order as the molecule, no validation is done

Implements RDKit::KeyHolderBase.

Definition at line 402 of file SubstructLibrary.h.

## ◆ addMol()

unsigned int RDKit::KeyFromPropHolder::addMol | ( | const ROMol & | m | ) |
| inlineoverridevirtual

Add a key to the database getting it from the molecule.

Implements RDKit::KeyHolderBase.

Definition at line 388 of file SubstructLibrary.h.

## ◆ getKey()

const std::string & RDKit::KeyFromPropHolder::getKey | ( | unsigned int | idx | ) | const
| inlineoverridevirtual

Implements RDKit::KeyHolderBase.

Definition at line 407 of file SubstructLibrary.h.

## ◆ getKeys() [1/3]

std::vector< std::string > & RDKit::KeyFromPropHolder::getKeys | ( |  | ) |
| inline

Definition at line 385 of file SubstructLibrary.h.

## ◆ getKeys() [2/3]

const std::vector< std::string > & RDKit::KeyFromPropHolder::getKeys | ( |  | ) | const
| inline

Definition at line 386 of file SubstructLibrary.h.

## ◆ getKeys() [3/3]

std::vector< std::string > RDKit::KeyFromPropHolder::getKeys | ( | const std::vector< unsigned int > & | indices | ) | const
| inlineoverridevirtual

Implements RDKit::KeyHolderBase.

Definition at line 414 of file SubstructLibrary.h.

## ◆ getPropName() [1/2]

std::string & RDKit::KeyFromPropHolder::getPropName | ( |  | ) |
| inline

Definition at line 382 of file SubstructLibrary.h.

## ◆ getPropName() [2/2]

const std::string & RDKit::KeyFromPropHolder::getPropName | ( |  | ) | const
| inline

Definition at line 383 of file SubstructLibrary.h.

## ◆ size()

unsigned int RDKit::KeyFromPropHolder::size | ( |  | ) | const
| inlineoverridevirtual

Get the current keeyholder size.

Implements RDKit::KeyHolderBase.

Definition at line 421 of file SubstructLibrary.h.

The documentation for this class was generated from the following file:

- SubstructLibrary.h